Subject: bug#57995: closed (Re: bug#57995: <wheel-right> with pixel-scroll-precision-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Sep 2023 13:14:02 +0000

Your bug report

#57995: <wheel-right> with pixel-scroll-precision-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57995: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57995
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57995: <wheel-right> with pixel-scroll-precision-mode
From: Po Lu <[email-masked]>
To: Tak Kunihiro <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 04 Sep 2023 21:13:18 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Tak Kunihiro <[email-masked]> writes:

>>>>>> (lldb) p [theEvent scrollingDeltaX]
>>>>> (CGFloat) $0 = -1
>>>>>
>>>>> HTH
>>>>
>>>> That looks completely normal!
>>>>
>>>> I am lost here.  I will try to reproduce this on a Macbook tomorrow.
>>>
>>> Po Lu, did you make any progress with this bug?
>>
>> I don't remember.  Tak, are you still experiencing this?
>
> I checked on the following build and I do not see the problem.
> I think that it is fixed.
>
> GNU Emacs 29.1 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60
>  Version 10.14.6 (Build 18G9323)) of 2023-07-30

Closing, thank you.

Subject: <wheel-right> with pixel-scroll-precision-mode
From: Tak Kunihiro <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 22 Sep 2022 12:50:14 +0900 (JST)
List-Id: <debbugs-submit.debbugs.gnu.org>

pixel-scroll-precision-mode is very nice.  I appreciate Po Lu to work
on this.

With pixel-scroll-precision-mode, <wheel-right> and <wheel-left> does
not work. Is this expected behavior?

1. emacs -Q
2. (setq mouse-wheel-tilt-scroll t)
3. <wheel-right> or <wheel-left> scrolls buffer.
4. (pixel-scroll-precision-mode 1)
5. Then <wheel-right> or <wheel-left> does not scroll buffer.